Summary:        Askpass openssh transition dialog for Nde desktop suite
Name:           nde-openssh-askpass
Version:        0.0.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
Source1:        nde-openssh-askpass.sh
Source2:        nde-openssh-askpass.csh
BuildRequires:  cmake, gcc, gcc-c++, nde-lib-devel
BuildRequires:  pkgconfig(Qt5Help), libqtxdg-devel, kf5-kwindowsystem-devel, libstatgrab-devel, glib2-devel



%description
%{summary}.

%package l10n
Summary:        Translations for nde-openssh-askpass
Requires:       nde-openssh-askpass
%description l10n
This package provides translations for the nde-openssh-askpass package.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
mkdir -p %{buildroot}%{_libexecdir}/openssh/
mv %{buildroot}/%{_bindir}/nde-openssh-askpass %{buildroot}%{_libexecdir}/openssh/

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -p -m0644 %SOURCE1 %SOURCE2 %{buildroot}%{_sysconfdir}/profile.d/

%find_lang nde-openssh-askpass --with-qt



%files
%{_libexecdir}/openssh/nde-openssh-askpass
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_datadir}/nde/translations/%{name}
%{_mandir}/man1/%{name}*

%files l10n -f nde-openssh-askpass.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-openssh-askpass



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-2
- small fix

* Thu May 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)